libnvme(2)

NAME
struct nbft_info_hfi_info_tcp - HFI Transport Info Descriptor - NVMe/TCP

SYNOPSIS
struct nbft_info_hfi_info_tcp {
__u32 pci_sbdf;
__u8 mac_addr[6];
__u16 vlan;
__u8 ip_origin;
char ipaddr[40];
__u8 subnet_mask_prefix;
char gateway_ipaddr[40];
__u16 route_metric;
char primary_dns_ipaddr[40];
char secondary_dns_ipaddr[40];
char dhcp_server_ipaddr[40];
char *host_name;
bool this_hfi_is_default_route;
bool dhcp_override;
};

Members

pci_sbdf
    PCI Express Routing ID for the HFI Transport Function.

mac_addr
    MAC Address: The MAC address of this HFI, in EUI-48TM format.

vlan
    The VLAN identifier if the VLAN is associated with this HFI, as defined in IEEE 802.1q-2018 or zeroes if no VLAN is associated with this HFI.

ip_origin
    The source of Ethernet L3 configuration information used by the driver or 0 if not used.

ipaddr
    The IPv4 or IPv6 address of this HFI.

subnet_mask_prefix
    The IPv4 or IPv6 subnet mask in CIDR routing prefix notation.

gateway_ipaddr
    The IPv4 or IPv6 address of the IP gateway for this HFI or zeroes if no IP gateway is specified.

route_metric
    The cost value for the route indicated by this HFI.

primary_dns_ipaddr
    The IPv4 or IPv6 address of the Primary DNS server for this HFI.

secondary_dns_ipaddr
    The IPv4 or IPv6 address of the Secondary DNS server for this HFI.

dhcp_server_ipaddr
    The IPv4 or IPv6 address of the DHCP server used to assign this HFI address.

host_name
    The Host Name string.

this_hfi_is_default_route
    If True, then the BIOS utilized this interface described by HFI to be the default route with highest priority. If False, then routes are local to their own scope.

dhcp_override
    If True, then HFI information was populated by consuming the DHCP on this interface. If False, then the HFI information was set administratively by a configuration interface to the driver and pre-OS envrionment.